Results 1 to 5 of 5

Thread: Importing everything from old to new

  1. #1
    motang is offline Active Member
    Join Date
    Mar 2013
    Posts
    30
    Rep Power
    2

    Question Importing everything from old to new

    Hello, I have been tasked with the job of upgrading our Zimbra Open Source edition with not only just Zimbra but as well as the server. Here are some details on the current and new set up:

    Current setup:
    OS: Ubuntu 10.04 LTS 64bit
    Zimbra: 7.1.2_GA_3268.UBUNTU10_64 UBUNTU10_64 FOSS edition

    New setup:
    OS: Ubuntu 12.04 LTS 64bit
    Zimbra: Release 8.0.3.GA.5664.UBUNTU12.64 UBUNTU12_64 FOSS edition

    These are on two different servers and my question is, can I just do an rsync /opt/zimbra and setup LDAP on the new server and it work they way it should, or is there more to migrating all the content over from the old server to the new one?

    Thanks.

  2. #2
    quanah is offline Zimbra Employee
    Join Date
    May 2007
    Location
    Zimbra
    Posts
    1,285
    Rep Power
    10

    Default

    You need to upgrade your old ZCS7 server to ZCS8.0.3 first, and then you can migrate over to the ubuntu12 server. Yu cannot directly copy the ZCS7 data onto a ZCS8 server.
    Quanah Gibson-Mount
    Server Architect
    Zimbra, Inc
    --------------------
    Zimbra :: the leader in open source messaging and collaboration

  3. #3
    motang is offline Active Member
    Join Date
    Mar 2013
    Posts
    30
    Rep Power
    2

    Default

    OH I see. So is it relatively easy to upgrade the existing install to the latest version?

  4. #4
    quanah is offline Zimbra Employee
    Join Date
    May 2007
    Location
    Zimbra
    Posts
    1,285
    Rep Power
    10

    Default

    Generally yes... You just run "install.sh" from the new release.
    Quanah Gibson-Mount
    Server Architect
    Zimbra, Inc
    --------------------
    Zimbra :: the leader in open source messaging and collaboration

  5. #5
    prashant's Avatar
    prashant is offline Zimbra Employee
    Join Date
    Jul 2007
    Posts
    343
    Rep Power
    8

    Default

    I checked a case on similar line where I used do the OS upgrade first and Zimbra Upgrade afterwards.

    Upgrade from Ubuntu 8_64 with ZCS 7.2.1 to Ubuntu 10_64


    • OS upgrade from Ubuntu 8_64 to Ubuntu 10_64 (with all default configurations during upgrade) run smoothly without any issue.
    • After OS upgrade zimbra commands were giving errors. This seems to be expected. This is because U8.04 & U10.04 Data::UUID module built with a different version of Perl.


    zimbra@zcs135:~$ zmcontrol -v
    /usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Data/UUID/UUID.so: undefined symbol: Perl_Tstack_sp_ptrzimbra@zcs135:~$

    zmcontrol status
    /usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Data/UUID/UUID.so: undefined symbol: Perl_Tstack_sp_ptr

    Base OS is Ubuntu 10_64 and upgrade ZCS to latest version of ZCS 7.2.1.



    • sqlite3 not found warning during upgrade. Installed sqlite3 manually using apt-get.
    • Following Error if provided 'Y' for Verify message store database integrity? and upgrade stops.


    "/opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Data/UUID/UUID.so: undefined symbol: Perl_Tstack_sp_ptr"


    • Skipping store database integrity takes upgrade ahead and complete successfully without any issues.All zimbra services were up and running.
    • Smoke testing around basic account operations, mail sending works fine.

    Upgrade from ZCS 7.2.1 to ZCS 8.0.


    • No issues found even after doing store database integrity check which were seen during previous upgrade step.


    Upgrade Ubuntu 10_64 with ZCS 7.2.1 to Ubuntu 12_64 and upgrade to ZCS 8.0

    Upgrade from Ubuntu 10_64 with ZCS 7.2.1 to Ubuntu 12_64


    • OS upgrade from Ubuntu 10_64 to Ubuntu 12_64 (with all default configurations during upgrade) run smoothly with some issues during upgrade
    • Encountered following error during every Ubuntu 12_64 package upgrade.


    Processing triggers for python-support ...warning, in file '/var/lib/dpkg/status' near line 11850 package 'zimbra-proxy':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 14802 package 'zimbra-ldap':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 17406 package 'zimbra-convertd':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 19599 package 'zimbra-logger':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 23028 package 'zimbra-apache':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 25817 package 'zimbra-mta':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 26606 package 'zimbra-core':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 27127 package 'zimbra-spell':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 28439 package 'zimbra-snmp':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 28632 package 'zimbra-archiving':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 32440 package 'zimbra-memcached':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/status' near line 38230 package 'zimbra-store':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 11861 package 'zimbra-proxy':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 14956 package 'zimbra-ldap':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 17538 package 'zimbra-convertd':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 19806 package 'zimbra-logger':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 23224 package 'zimbra-apache':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 25773 package 'zimbra-mta':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 26546 package 'zimbra-core':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 27072 package 'zimbra-spell':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 28124 package 'zimbra-snmp':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 28310 package 'zimbra-archiving':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 32129 package 'zimbra-memcached':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version numberwarning, in file '/var/lib/dpkg/available' near line 37844 package 'zimbra-store':error in Version string '7.2.1_GA_2777.UBUNTU10_64': invalid character in version number



    • After OS upgrade to Ubuntu 12_64 zimbra commands were giving errors


    zimbra@zcs135:~$ zmcontrol -v
    Use of qw(...) as parentheses is deprecated at /opt/zimbra/zimbramon/lib/Zimbra/Util/Common.pm line 25.Use of qw(...) as parentheses is deprecated at /opt/zimbra/zimbramon/lib/Zimbra/Util/Common.pm line 26. /usr/bin/perl: symbol lookup error:/opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Data/UUID/UUID.so: undefined symbol: Perl_Gthr_key_ptr

    zimbra@zcs135:~$ zmcontrol status
    Use of qw(...) as parentheses is deprecated at /opt/zimbra/zimbramon/lib/Zimbra/Util/Common.pm line 25.Use of qw(...) as parentheses is deprecated at /opt/zimbra/zimbramon/lib/Zimbra/Util/Common.pm line 26./usr/bin/perl: symbol lookup error:/opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Data/UUID/UUID.so: undefined symbol:Perl_Gthr_key_ptr

    Base OS is Ubuntu 12_64 and Upgrade ZCS to latest version of ZCS 8.0.


    • Following Error if provided 'Y' for Verify message store database integrity? and upgrade stops.


    Do you want to verify message store database integrity? [Y] y
    Verifying integrity of message store databases.
    This may take a while.Starting mysqld...done.
    mysqld is alive
    perl: symbol lookup error: /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Data/UUID/UUID.so: undefined symbol: Perl_Gthr_key_ptr
    mysqld is alive
    Stopping mysqld... done.

    • Skipping store database integrity takes upgrade ahead and complete successfully without any issues.
    • All zimbra services were up and running.
    • Smoke testing around basic account operations, mail sending works fine.




    Let me know if this is of any help to you. These scenarios checked against Zimbra Network Build.
    Last edited by prashant; 06-04-2013 at 09:26 AM.
    ~=Prashant=~

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Importing into ZCS and ZD Errors
    By chimaster in forum Administrators
    Replies: 0
    Last Post: 10-02-2012, 05:04 PM
  2. Importing from Pocomail
    By BlueRidgeMark in forum Installation Help
    Replies: 0
    Last Post: 12-30-2011, 07:16 PM
  3. Importing a .pst file
    By aplavakarthik in forum General Questions
    Replies: 9
    Last Post: 07-11-2011, 04:46 AM
  4. Importing a .pst file
    By aplavakarthik in forum Users
    Replies: 9
    Last Post: 07-11-2011, 04:46 AM
  5. Importing
    By Phantasmagoria in forum Administrators
    Replies: 1
    Last Post: 11-25-2005, 02:45 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •